#!/usr/bin/perl -w

use XML::LibXML;

# validate input file

my $datei = $ARGV[0];

my $parser = new XML::LibXML;

my $document = $parser->parse_file($datei);

my $validation_results = $document->validate;

if ($validation_results) {
	print "The document is valid XML! Processing...\n";
	chunk_document($datei);
} else {
	print $validation_results."\nThe document is not valid XML! Aborting...\n";
	exit 0;
}

sub chunk_document {
	my $datei = shift;
	my @content = `cat $datei`;
	my $content = "";
	foreach (@content) {
		print $_;
		$content .= $_;
	}
}
